Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedger.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedger.designer.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedger.designer.cs	(revision 352)
@@ -1127,168 +1262,9 @@
             // 
             this.Column28.HeaderText = "明細番号";
             this.Column28.Name = "Column28";
+            this.Column28.ReadOnly = true;
             this.Column28.Visible = false;
             // 
-            // lblCellTotal
-            // 
-            this.lblCellTotal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.lblCellTotal.AutoSize = true;
-            this.lblCellTotal.BackColor = System.Drawing.Color.WhiteSmoke;
-            this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ Ｐ明朝", 9.75F, System.Drawing.FontStyle.Bold);
-            this.lblCellTotal.ForeColor = System.Drawing.Color.Black;
-            this.lblCellTotal.Location = new System.Drawing.Point(100, 430);
-            this.lblCellTotal.Name = "lblCellTotal";
-            this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
-            this.lblCellTotal.TabIndex = 36;
-            // 
-            // btnDispDown
-            // 
-            this.btnDispDown.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnDispDown.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnDispDown.Location = new System.Drawing.Point(1300, 418);
-            this.btnDispDown.Name = "btnDispDown";
-            this.btnDispDown.Size = new System.Drawing.Size(40, 40);
-            this.btnDispDown.TabIndex = 42;
-            this.btnDispDown.TabStop = false;
-            this.btnDispDown.Text = "▼";
-            this.btnDispDown.UseVisualStyleBackColor = true;
-            this.btnDispDown.Visible = false;
-            this.btnDispDown.Click += new System.EventHandler(this.btnDispDown_Click);
-            // 
-            // btnDispUp
-            // 
-            this.btnDispUp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnDispUp.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnDispUp.Location = new System.Drawing.Point(1300, 354);
-            this.btnDispUp.Name = "btnDispUp";
-            this.btnDispUp.Size = new System.Drawing.Size(40, 40);
-            this.btnDispUp.TabIndex = 41;
-            this.btnDispUp.TabStop = false;
-            this.btnDispUp.Text = "▲";
-            this.btnDispUp.UseVisualStyleBackColor = true;
-            this.btnDispUp.Visible = false;
-            this.btnDispUp.Click += new System.EventHandler(this.btnDispUp_Click);
-            // 
-            // btnOtherProc
-            // 
-            this.btnOtherProc.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
-            this.btnOtherProc.Location = new System.Drawing.Point(7, 656);
-            this.btnOtherProc.Name = "btnOtherProc";
-            this.btnOtherProc.Size = new System.Drawing.Size(160, 30);
-            this.btnOtherProc.TabIndex = 95;
-            this.btnOtherProc.TabStop = false;
-            this.btnOtherProc.Text = "他の画面へ";
-            this.btnOtherProc.UseVisualStyleBackColor = false;
-            this.btnOtherProc.Click += new System.EventHandler(this.btnOtherProc_Click);
-            // 
-            // button1
-            // 
-            this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.button1.Location = new System.Drawing.Point(1300, 540);
-            this.button1.Name = "button1";
-            this.button1.Size = new System.Drawing.Size(37, 35);
-            this.button1.TabIndex = 100;
-            this.button1.Text = "○";
-            this.button1.UseVisualStyleBackColor = true;
-            this.button1.Visible = false;
-            this.button1.Click += new System.EventHandler(this.button1_Click);
-            // 
-            // button2
-            // 
-            this.button2.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.button2.Location = new System.Drawing.Point(1300, 581);
-            this.button2.Name = "button2";
-            this.button2.Size = new System.Drawing.Size(37, 35);
-            this.button2.TabIndex = 101;
-            this.button2.Text = "１";
-            this.button2.UseVisualStyleBackColor = true;
-            this.button2.Visible = false;
-            this.button2.Click += new System.EventHandler(this.button2_Click);
-            // 
-            // btnSelect
-            // 
-            this.btnSelect.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnSelect.BackColor = System.Drawing.Color.Green;
-            this.btnSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnSelect.ForeColor = System.Drawing.Color.White;
-            this.btnSelect.Location = new System.Drawing.Point(546, 657);
-            this.btnSelect.Name = "btnSelect";
-            this.btnSelect.Size = new System.Drawing.Size(120, 30);
-            this.btnSelect.TabIndex = 102;
-            this.btnSelect.Text = "選　択";
-            this.btnSelect.UseVisualStyleBackColor = false;
-            this.btnSelect.Visible = false;
-            this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
-            // 
-            // btnCreate
-            // 
-            this.btnCreate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnCreate.BackColor = System.Drawing.Color.White;
-            this.btnCreate.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnCreate.ForeColor = System.Drawing.Color.Green;
-            this.btnCreate.Location = new System.Drawing.Point(420, 657);
-            this.btnCreate.Name = "btnCreate";
-            this.btnCreate.Size = new System.Drawing.Size(120, 30);
-            this.btnCreate.TabIndex = 103;
-            this.btnCreate.Text = "新　規";
-            this.btnCreate.UseVisualStyleBackColor = false;
-            this.btnCreate.Visible = false;
-            this.btnCreate.Click += new System.EventHandler(this.btnCreate_Click);
-            // 
-            // grpExample1
-            // 
-            this.grpExample1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.grpExample1.BackColor = System.Drawing.Color.White;
-            this.grpExample1.BorderColor = System.Drawing.Color.Red;
-            this.grpExample1.Controls.Add(this.lblReqSumType03);
-            this.grpExample1.Controls.Add(this.lblReqSumType01);
-            this.grpExample1.Controls.Add(this.lblReqSumType02);
-            this.grpExample1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.grpExample1.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.grpExample1.Location = new System.Drawing.Point(183, 657);
-            this.grpExample1.Name = "grpExample1";
-            this.grpExample1.Size = new System.Drawing.Size(324, 28);
-            this.grpExample1.TabIndex = 104;
-            this.grpExample1.TabStop = false;
-            this.grpExample1.Visible = false;
-            // 
-            // lblReqSumType03
-            // 
-            this.lblReqSumType03.BackColor = System.Drawing.Color.LightGray;
-            this.lblReqSumType03.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblReqSumType03.ForeColor = System.Drawing.Color.White;
-            this.lblReqSumType03.Location = new System.Drawing.Point(218, 4);
-            this.lblReqSumType03.Name = "lblReqSumType03";
-            this.lblReqSumType03.Size = new System.Drawing.Size(100, 20);
-            this.lblReqSumType03.TabIndex = 1;
-            this.lblReqSumType03.Text = "対 象 外";
-            this.lblReqSumType03.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // lblReqSumType01
-            // 
-            this.lblReqSumType01.BackColor = System.Drawing.Color.Yellow;
-            this.lblReqSumType01.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblReqSumType01.ForeColor = System.Drawing.Color.Black;
-            this.lblReqSumType01.Location = new System.Drawing.Point(6, 4);
-            this.lblReqSumType01.Name = "lblReqSumType01";
-            this.lblReqSumType01.Size = new System.Drawing.Size(100, 20);
-            this.lblReqSumType01.TabIndex = 0;
-            this.lblReqSumType01.Text = "選択可能";
-            this.lblReqSumType01.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // lblReqSumType02
-            // 
-            this.lblReqSumType02.BackColor = System.Drawing.Color.LightPink;
-            this.lblReqSumType02.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblReqSumType02.ForeColor = System.Drawing.Color.Black;
-            this.lblReqSumType02.Location = new System.Drawing.Point(112, 4);
-            this.lblReqSumType02.Name = "lblReqSumType02";
-            this.lblReqSumType02.Size = new System.Drawing.Size(100, 20);
-            this.lblReqSumType02.TabIndex = 0;
-            this.lblReqSumType02.Text = "選 択 済";
-            this.lblReqSumType02.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
             // FrmConstructionLedger
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -1395,6 +1371,12 @@
         private System.Windows.Forms.RadioButton radioButton2;
         private System.Windows.Forms.RadioButton radioButton3;
         private System.Windows.Forms.Button btnRestore;
+        private System.Windows.Forms.Button btnSelect;
+        private System.Windows.Forms.Button btnCreate;
+        private GroupBoxEx grpExample1;
+        private System.Windows.Forms.Label lblReqSumType01;
+        private System.Windows.Forms.Label lblReqSumType02;
+        private System.Windows.Forms.Label lblReqSumType03;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column27;
@@ -1423,11 +1405,5 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column25;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column26;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column28;
-        private System.Windows.Forms.Button btnSelect;
-        private System.Windows.Forms.Button btnCreate;
-        private GroupBoxEx grpExample1;
-        private System.Windows.Forms.Label lblReqSumType01;
-        private System.Windows.Forms.Label lblReqSumType02;
-        private System.Windows.Forms.Label lblReqSumType03;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 352)
@@ -1669,6 +1669,50 @@
         }
         #endregion
 
+        #region 積算見積データより値を取得する
+        /// <summary>
+        /// 積算見積データより値を取得する
+        /// </summary>
+        private void GetEstimateValue(ref List<KeyValuePair<int, int>> EstimateVal)
+        {
+            IOEstimateDataDetail eddDB = new IOEstimateDataDetail();
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select");
+                strSQL.Append(" B.ConstructionCode");
+                strSQL.Append(", A.ComponentCode");
+                strSQL.Append(", A.ComponentName");
+                strSQL.Append(", B.PriceValue");
+                strSQL.Append(" From");
+                strSQL.Append(" componentmaster As A");
+                strSQL.Append(" Inner join estimatedata As B");
+                strSQL.Append("        On B.ComponentCode = A.ComponentCode");
+                strSQL.Append(" Where");
+                strSQL.AppendFormat(" B.ConstructionCode = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" And A.ComponentCode in ({0}, {1})", m_CommonCosts.NormalManagementPublic
+                                                                        , m_CommonCosts.FieldManagementPublic);
+
+                ArrayList arList = new ArrayList();
+                eddDB.ExecuteReader(strSQL.ToString(), ref arList);
+
+                EstimateVal.Clear();
+                foreach (object[] objRec in arList)
+                {
+
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                eddDB.close(); eddDB = null;
+            }
+        }
+        #endregion
+
         #region 工事予算書より経費を表示する
         /// <summary>
         /// 工事予算書より経費を表示する
@@ -1693,6 +1737,8 @@
                 // 工事予算書より経費を取り込む
                 GetBudgetExpensesList();
 
+                // 先頭行取得
+                int nTopRow = dgv.RowCount;
                 foreach (object[] wrkExpense in m_ExpensesList)
                 {
                     // 経費率取得
@@ -1729,6 +1775,9 @@
                     // 行セット
                     CreateDataRow(RowData);
                 }
+                // 一般管理費セット
+                GetEstimateNormalManege();
+
                 return true;
             }
             catch (Exception ex)
@@ -1739,6 +1788,121 @@
         }
         #endregion
 
+        #region 積算見積書より一般管理費取得
+        /// <summary>
+        /// 積算見積書より一般管理費取得
+        /// </summary>
+        private void GetEstimateNormalManege()
+        {
+            IOEstimateData edDB = new IOEstimateData();
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+
+                strSQL.Append("Select");
+                strSQL.Append(" SUM(A.PriceValue)");
+                strSQL.Append(" From estimatedata As A");
+                strSQL.Append(" Where");
+                strSQL.Append(" (");
+                strSQL.AppendFormat(" A.ConstructionCode = {0}", m_ConstructionCode);
+
+                strSQL.Append(" Or A.ConstructionCode IN (");
+                strSQL.Append(" Select");
+                strSQL.Append(" B.FluctuationCode");
+                strSQL.Append(" From constructionlink As B");
+                strSQL.Append(" Inner Join processapproval As C");
+                strSQL.Append("        On C.ConstructionCode = B.FluctuationCode");
+                strSQL.AppendFormat(" And C.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL.Append("       And C.SeqNo = 1");
+                strSQL.AppendFormat(" And C.ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL.AppendFormat(" Where B.ConstructionCode = {0})", m_ConstructionCode);
+                strSQL.Append(")");
+
+                strSQL.AppendFormat(" And A.ComponentCode in ({0}, {1})"
+                                        , m_CommonCosts.NormalManagementPublic
+                                        , m_CommonCosts.NormalManagementPrivate);
+
+                ArrayList arList = new ArrayList();
+                if (!edDB.ExecuteReader(strSQL.ToString(), ref arList)) return;
+
+                int nRetVal = 0;
+                foreach (object[] curRec in arList)
+                {
+                    nRetVal = CommonMotions.cnvInt(curRec[0]);
+                }
+
+                int nSetRow = m_CostsRowCount[(int)CostsRowLine.ExpensesRowLine] - 1;
+                dgvAllDisplay.Rows[nSetRow].Cells[(int)GridColumn.EstimatePrice].Value = nRetVal.ToString("#,#");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                edDB.close(); edDB = null;
+            }
+        }
+        #endregion
+
+        #region 積算見積書より現場管理費取得
+        /// <summary>
+        /// 積算見積書より現場管理費取得
+        /// </summary>
+        private void GetEstimateFieldManage()
+        {
+            IOEstimateData edDB = new IOEstimateData();
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+
+                strSQL.Append("Select");
+                strSQL.Append(" SUM(A.PriceValue)");
+                strSQL.Append(" From estimatedata As A");
+                strSQL.Append(" Where");
+                strSQL.Append(" (");
+                strSQL.AppendFormat(" A.ConstructionCode = {0}", m_ConstructionCode);
+
+                strSQL.Append(" Or A.ConstructionCode IN (");
+                strSQL.Append(" Select");
+                strSQL.Append(" B.FluctuationCode");
+                strSQL.Append(" From constructionlink As B");
+                strSQL.Append(" Inner Join processapproval As C");
+                strSQL.Append("        On C.ConstructionCode = B.FluctuationCode");
+                strSQL.AppendFormat(" And C.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL.Append("       And C.SeqNo = 1");
+                strSQL.AppendFormat(" And C.ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL.AppendFormat(" Where B.ConstructionCode = {0})", m_ConstructionCode);
+                strSQL.Append(")");
+
+                strSQL.AppendFormat(" And A.ComponentCode in ({0}, {1})"
+                                        , m_CommonCosts.FieldManagementPublic
+                                        , m_CommonCosts.FieldManagementPrivate);
+
+                ArrayList arList = new ArrayList();
+                if (!edDB.ExecuteReader(strSQL.ToString(), ref arList)) return;
+
+                int nRetVal = 0;
+                foreach (object[] curRec in arList)
+                {
+                    nRetVal = CommonMotions.cnvInt(curRec[0]);
+                }
+
+                // 現場管理費を人件費タイトルへセットする
+                int nSetRow = m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] - 1;
+                dgvAllDisplay.Rows[nSetRow].Cells[(int)GridColumn.EstimatePrice].Value = nRetVal.ToString("#,#");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                edDB.close(); edDB = null;
+            }
+        }
+        #endregion
+
         #region 工事予算書より経費データを取り込む
         /// <summary>
         /// 工事予算書より経費データを取り込む
@@ -2101,6 +2265,9 @@
                 GetDispDataFromConstructionBudget(DetailList, GroupNo, (int)FrmConstructionBudget.DataGroup.AssistantCosts, icnt++);
                 // 担当者給与経費
                 GetDispDataFromConstructionBudget(DetailList, GroupNo, (int)FrmConstructionBudget.DataGroup.PayrollExpenses, icnt++);
+
+                // 現場管理費セット
+                GetEstimateFieldManage();
             }
             catch (Exception ex)
             {
@@ -2881,6 +3048,7 @@
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
             IOConstructionLedgerDetail DetailDB = new IOConstructionLedgerDetail();
             IOProcessApproval ProAppDB = new IOProcessApproval();
+                DataGridView dgv = dgvAllDisplay;
             try
             {
                 // 工事詳細台帳データを読み込む
@@ -2908,7 +3076,6 @@
                 // 支払枠（列）を作成する
                 CreatePaymentColumns(DetailList);
 
-                DataGridView dgv = dgvAllDisplay;
                 // グリッド行削除
                 dgv.Rows.Clear();
 
@@ -3018,12 +3185,14 @@
 
                     // ----- 支払いデータをセットする
                     double TotalValue = 0;
+                    int nGrpCol = (int)IOConstructionLedgerDetail.TableColumn.GroupCount;
+                    int nLineCol = (int)IOConstructionLedgerDetail.TableColumn.LineCount;
                     for (int iz = iy; iz < DetailList.Count; iz++)
                     {
                         object[] objExcuteRec = (object[])DetailList[iz];
                         // グループか行番号が違えば次の台帳行へ
-                        if ((DetailRec.GroupCount != CommonMotions.cnvInt(objExcuteRec[(int)IOConstructionLedgerDetail.TableColumn.GroupCount]))
-                        || (DetailRec.LineCount != CommonMotions.cnvInt(objExcuteRec[(int)IOConstructionLedgerDetail.TableColumn.LineCount])))
+                        if ((DetailRec.GroupCount != CommonMotions.cnvInt(objExcuteRec[nGrpCol]))
+                            || (DetailRec.LineCount != CommonMotions.cnvInt(objExcuteRec[nLineCol])))
                         {
                             iy = iz - 1;
                             break;
@@ -3067,7 +3236,7 @@
                     RowData[GridColMax + (int)ColPayTotal.PaymentBurdens] = DetailRec.PaymentBurden.ToString("#,0");
 
                     // *----------------------------------------------------------------*
-                    // *----- いきなり工事詳細台帳が出来たものは、経費を再計算する -----*
+                    // *----- 承認無に工事詳細台帳が出来たものは、経費を再計算する -----*
                     // *----------------------------------------------------------------*
                     if (LedgerRec.ComplateFlg != (int)ConstructionLedger.CompFlagDef.Complated
                         && NoneApp == true
@@ -3167,6 +3336,11 @@
                     SetComplateButtonStyle();
                 }
 
+                // 一般管理費セット
+                GetEstimateNormalManege();
+                // 現場管理費セット
+                GetEstimateFieldManage();
+
                 return true;
             }
             catch (Exception ex)
@@ -3182,6 +3356,8 @@
                 LedgerDB.close(); LedgerDB = null;
                 DetailDB.close(); DetailDB = null;
                 ProAppDB.close(); ProAppDB = null;
+
+                dgv.CurrentCell = null;
             }
         }
         #endregion
@@ -3219,6 +3395,20 @@
 
                 // 支払金額
                 int PaymentPoint = (int)GridColumn.Payment;
+
+                // 支払金額の先頭は常に工事開始月にする 2018/05/23
+                DataGridView dgv = dgvAllDisplay;
+                DateTime dtFMounth = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
+                string strFMounth = YearMonthFormat(dtFMounth.Year, dtFMounth.Month);
+                for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
+                {
+                    // グリッドの対象列を探す
+                    if (!strFMounth.Equals(dgv.Columns[ix].HeaderText)) continue;
+                    PaymentPoint = ix;
+                    break;
+                }
+                
+                // 計上月を確認する
                 RowData[PaymentPoint] = dExpenss.ToString("#,0");
 
                 // 合計金額セット
@@ -5369,89 +5559,38 @@
 
                 bool bPermit = false;
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
-                    {
-                        // システム管理者
-                        bPermit = true;
-                    }
-                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                    {
-                        // 最高機密管理者
-                        bPermit = true;
-                    }
-                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
-                    {
-                        // 統括責任者
-                        bPermit = true;
-                    }
-                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
-                    {
 
-                        // 上長は工事が自部署の関連だけ
-                        List<int> PersonList = new List<int>();
-                        PersonList.Add(m_ConstructionBaseInfo.SalesPersonCode);
-                        PersonList.Add(m_ConstructionBaseInfo.ConstructionPersonCode);
-                        if (m_ConstructionBaseInfo.ConstrSubPersonCode != 0) PersonList.Add(m_ConstructionBaseInfo.ConstrSubPersonCode);
-                        if (m_ConstructionBaseInfo.ConstructionInstructor != 0) PersonList.Add(m_ConstructionBaseInfo.ConstructionInstructor);
+                int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
+                int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者アクセス
+                int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長アクセス
+                int NRank = (int)CommonDefine.SecurityRankPos.NormalAuthority;      // 一般者アクセス
 
-                        foreach (int Personcode in PersonList)
-                        {
-                            string strSQL = PersonDB.CreatePrimarykeyString(Personcode);
-                            PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                            if (!PersonDB.SelectAction(strSQL, ref PersonRec)) continue;
-
-                            // 所属上長では無ければfalse
-                            if (PersonRec.DepartmentCode == CommonMotions.LoginUserData.DepartmentCode)
-                            {
-                                bPermit = true;
-                                break;
-                            }
-                        }
-
-                    }
-                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                    {
-                        // 一般ユーザー
-                        bPermit = false;
-                    }
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)                               // システム管理者
+                {
+                    // ===== 全データ対象の場合はOK
+                    bPermit = true;
                 }
-                else
+                else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)       // 経営者アクセス
                 {
-                    int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
-                    int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者アクセス
-                    int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長アクセス
-                    int NRank = (int)CommonDefine.SecurityRankPos.NormalAuthority;      // 一般者アクセス
-
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)                               // システム管理者
-                    {
-                        // ===== 全データ対象の場合はOK
-                        bPermit = true;
-                    }
-                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)       // 経営者アクセス
-                    {
-                        // ===== 全データ対象の場合はOK
-                        bPermit = true;
-                    }
-                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key)       // 統括者アクセス
-                    {
-                        // ===== 統括者アクセス対象の条件を調べる
-                        bPermit = ClsSecurityPermission.PersonDataAccess(m_ConstructionCode);
-                    }
-                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)       // 所属長アクセス
-                    {
-                        // ===== 所属長アクセス対象の条件を調べる
-                        bPermit = ClsSecurityPermission.PersonDataAccess(m_ConstructionCode);
-                    }
-                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[NRank].Key)       // 一般者アクセス
-                    {
-                        // ===== 一般者アクセス対象の条件を調べる
-                        // 一般ユーザー
-                        bPermit = false;
-                    }
+                    // ===== 全データ対象の場合はOK
+                    bPermit = true;
                 }
+                else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key)       // 統括者アクセス
+                {
+                    // ===== 統括者アクセス対象の条件を調べる
+                    bPermit = ClsSecurityPermission.PersonDataAccess(m_ConstructionCode);
+                }
+                else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)       // 所属長アクセス
+                {
+                    // ===== 所属長アクセス対象の条件を調べる
+                    bPermit = ClsSecurityPermission.PersonDataAccess(m_ConstructionCode);
+                }
+                else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[NRank].Key)       // 一般者アクセス
+                {
+                    // ===== 一般者アクセス対象の条件を調べる
+                    // 一般ユーザー
+                    bPermit = false;
+                }
 
                 return bPermit;
             }
